## org.apache.batik.dom.events
Class DOMMutationEvent

    java.lang.Object
      org.apache.batik.dom.events.AbstractEvent
          org.apache.batik.dom.events.DOMMutationEvent

All Implemented Interfaces:
  org.w3c.dom.events.Event, org.w3c.dom.events.MutationEvent

public class DOMMutationEvent
extends AbstractEvent
implements org.w3c.dom.events.MutationEvent

The MutationEvent class provides specific contextual information associated with Mutation events.

Field Summary

Fields inherited from class org.apache.batik.dom.events.AbstractEvent
`cancelable, currentTarget, eventPhase, isBubbling, preventDefault, stopPropagation, target, timeStamp, type`

Fields inherited from interface org.w3c.dom.events.MutationEvent
`ADDITION, MODIFICATION, REMOVAL`

Fields inherited from interface org.w3c.dom.events.Event
`AT_TARGET, BUBBLING_PHASE, CAPTURING_PHASE`

Constructor Summary
`DOMMutationEvent()`

Method Summary
`short` `getAttrChange()` Implements `MutationEvent.getAttrChange()`.
`java.lang.String` `getAttrName()` DOM: `attrName` indicates the name of the changed `Attr` node in a DOMAttrModified event.
`java.lang.String` `getNewValue()` DOM: `newValue` indicates the new value of the `Attr` node in DOMAttrModified events, and of the `CharacterData` node in DOMCharDataModified events.
`java.lang.String` `getPrevValue()` DOM: `prevValue` indicates the previous value of the `Attr` node in DOMAttrModified events, and of the `CharacterData` node in DOMCharDataModified events.
`org.w3c.dom.Node` `getRelatedNode()` DOM: `relatedNode` is used to identify a secondary node related to a mutation event.
`void` `initMutationEvent(java.lang.String typeArg, boolean canBubbleArg, boolean cancelableArg, org.w3c.dom.Node relatedNodeArg, java.lang.String prevValueArg, java.lang.String newValueArg, java.lang.String attrNameArg, short attrChangeArg)` DOM: The `initMutationEvent` method is used to initialize the value of a `MutationEvent` created through the `DocumentEvent` interface.

Methods inherited from class org.apache.batik.dom.events.AbstractEvent
`getBubbles, getCancelable, getCurrentTarget, getEventPhase, getEventPreventDefault, getTarget, getTimeStamp, getType, initEvent, preventDefault, stopPropagation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.events.Event
`getBubbles, getCancelable, getCurrentTarget, getEventPhase, getTarget, getTimeStamp, getType, initEvent, preventDefault, stopPropagation`

Constructor Detail

### DOMMutationEvent

    public DOMMutationEvent()

Method Detail

### getRelatedNode

    public org.w3c.dom.Node getRelatedNode()

  DOM: `relatedNode` is used to identify a secondary node related to a mutation event. For example, if a mutation event is dispatched to a node indicating that its parent has changed, the `relatedNode` is the changed parent. If an event is instead dispatch to a subtree indicating a node was changed within it, the `relatedNode` is the changed node.

  Specified by:
    `getRelatedNode` in interface `org.w3c.dom.events.MutationEvent`

### getPrevValue

    public java.lang.String getPrevValue()

  DOM: `prevValue` indicates the previous value of the `Attr` node in DOMAttrModified events, and of the `CharacterData` node in DOMCharDataModified events.

  Specified by:
    `getPrevValue` in interface `org.w3c.dom.events.MutationEvent`

### getNewValue

    public java.lang.String getNewValue()

  DOM: `newValue` indicates the new value of the `Attr` node in DOMAttrModified events, and of the `CharacterData` node in DOMCharDataModified events.

  Specified by:
    `getNewValue` in interface `org.w3c.dom.events.MutationEvent`

### getAttrName

    public java.lang.String getAttrName()

  DOM: `attrName` indicates the name of the changed `Attr` node in a DOMAttrModified event.

  Specified by:
    `getAttrName` in interface `org.w3c.dom.events.MutationEvent`

### getAttrChange

    public short getAttrChange()

  Implements `MutationEvent.getAttrChange()`.

  Specified by:
    `getAttrChange` in interface `org.w3c.dom.events.MutationEvent`

### initMutationEvent

    public void initMutationEvent(java.lang.String typeArg,
                                  boolean canBubbleArg,
                                  boolean cancelableArg,
                                  org.w3c.dom.Node relatedNodeArg,
                                  java.lang.String prevValueArg,
                                  java.lang.String newValueArg,
                                  java.lang.String attrNameArg,
                                  short attrChangeArg)

  DOM: The `initMutationEvent` method is used to initialize the value of a `MutationEvent` created through the `DocumentEvent` interface. This method may only be called before the `MutationEvent` has been dispatched via the `dispatchEvent` method, though it may be called multiple times during that phase if necessary. If called multiple times, the final invocation takes precedence.

  Specified by:
    `initMutationEvent` in interface `org.w3c.dom.events.MutationEvent`
  Parameters:
    `typeArg` - Specifies the event type.
    `canBubbleArg` - Specifies whether or not the event can bubble.
    `cancelableArg` - Specifies whether or not the event's default action can be prevented.
    `relatedNodeArg` - Specifies the `Event`'s related Node
    `prevValueArg` - Specifies the `Event`'s `prevValue` property
    `newValueArg` - Specifies the `Event`'s `newValue` property
    `attrNameArg` - Specifies the `Event`'s `attrName` property

Copyright © 2004 Apache Software Foundation. All Rights Reserved.